/*
 * Copyright (c) 2024.
 * Luc Bergevin, tous droits réservés.
 * Créé le 2024-05-02 11 h 47
 */

package com.lucbergevin;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Console {

	private final BufferedReader _reader;

	public Console() {
		_reader = new BufferedReader(new InputStreamReader(System.in));
	}

	public String readLine() {
		try {
			return _reader.readLine();
		} catch (IOException e) {
			System.out.println("Impossible de lire au clavier.");
			return "";
		}
	}

	public void writeLine(String output) {
		System.out.println(output);
	}
	
	public String writeAndRead(String output) {
		this.writeLine(output);
		return this.readLine();
	}
}


